Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network127.3.2.0/23
Usable hosts510
Subnet mask255.255.254.0
Addresses512
Network address
127.3.2.0
Broadcast address
127.3.3.255
First usable
127.3.2.1
Last usable
127.3.3.254
Usable hosts
510 (512 less the network and broadcast addresses)
Subnet mask
255.255.254.0
Wildcard mask
0.0.1.255 (Cisco ACLs, OSPF)
Prefix length
/23
Type
Loopback 127.0.0.0/8
This computer
Old class
A (default /8)
As numbers
Hex 7F030200 · Integer 2130903552 to 2130904063
Reverse DNS zones
2.3.127.in-addr.arpa
3.3.127.in-addr.arpa
/23 is not on a 8-bit boundary, so it takes 2 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01111111.00000011.00000010.00000000127.3.2.0
Subnet mask11111111.11111111.11111110.00000000255.255.254.0
Network01111111.00000011.00000010.00000000127.3.2.0
Broadcast01111111.00000011.00000011.11111111127.3.3.255
Split into smaller subnets/30

127.3.2.0/23 makes 128 subnets of /30.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1127.3.2.0/30127.3.2.1 to 127.3.2.2127.3.2.32
2127.3.2.4/30127.3.2.5 to 127.3.2.6127.3.2.72
3127.3.2.8/30127.3.2.9 to 127.3.2.10127.3.2.112
4127.3.2.12/30127.3.2.13 to 127.3.2.14127.3.2.152
5127.3.2.16/30127.3.2.17 to 127.3.2.18127.3.2.192
6127.3.2.20/30127.3.2.21 to 127.3.2.22127.3.2.232
7127.3.2.24/30127.3.2.25 to 127.3.2.26127.3.2.272
8127.3.2.28/30127.3.2.29 to 127.3.2.30127.3.2.312
9127.3.2.32/30127.3.2.33 to 127.3.2.34127.3.2.352
10127.3.2.36/30127.3.2.37 to 127.3.2.38127.3.2.392
11127.3.2.40/30127.3.2.41 to 127.3.2.42127.3.2.432
12127.3.2.44/30127.3.2.45 to 127.3.2.46127.3.2.472
13127.3.2.48/30127.3.2.49 to 127.3.2.50127.3.2.512
14127.3.2.52/30127.3.2.53 to 127.3.2.54127.3.2.552
15127.3.2.56/30127.3.2.57 to 127.3.2.58127.3.2.592
16127.3.2.60/30127.3.2.61 to 127.3.2.62127.3.2.632
17127.3.2.64/30127.3.2.65 to 127.3.2.66127.3.2.672
18127.3.2.68/30127.3.2.69 to 127.3.2.70127.3.2.712
19127.3.2.72/30127.3.2.73 to 127.3.2.74127.3.2.752
20127.3.2.76/30127.3.2.77 to 127.3.2.78127.3.2.792
21127.3.2.80/30127.3.2.81 to 127.3.2.82127.3.2.832
22127.3.2.84/30127.3.2.85 to 127.3.2.86127.3.2.872
23127.3.2.88/30127.3.2.89 to 127.3.2.90127.3.2.912
24127.3.2.92/30127.3.2.93 to 127.3.2.94127.3.2.952
25127.3.2.96/30127.3.2.97 to 127.3.2.98127.3.2.992
26127.3.2.100/30127.3.2.101 to 127.3.2.102127.3.2.1032
27127.3.2.104/30127.3.2.105 to 127.3.2.106127.3.2.1072
28127.3.2.108/30127.3.2.109 to 127.3.2.110127.3.2.1112
29127.3.2.112/30127.3.2.113 to 127.3.2.114127.3.2.1152
30127.3.2.116/30127.3.2.117 to 127.3.2.118127.3.2.1192
31127.3.2.120/30127.3.2.121 to 127.3.2.122127.3.2.1232
32127.3.2.124/30127.3.2.125 to 127.3.2.126127.3.2.1272
33127.3.2.128/30127.3.2.129 to 127.3.2.130127.3.2.1312
34127.3.2.132/30127.3.2.133 to 127.3.2.134127.3.2.1352
35127.3.2.136/30127.3.2.137 to 127.3.2.138127.3.2.1392
36127.3.2.140/30127.3.2.141 to 127.3.2.142127.3.2.1432
37127.3.2.144/30127.3.2.145 to 127.3.2.146127.3.2.1472
38127.3.2.148/30127.3.2.149 to 127.3.2.150127.3.2.1512
39127.3.2.152/30127.3.2.153 to 127.3.2.154127.3.2.1552
40127.3.2.156/30127.3.2.157 to 127.3.2.158127.3.2.1592
41127.3.2.160/30127.3.2.161 to 127.3.2.162127.3.2.1632
42127.3.2.164/30127.3.2.165 to 127.3.2.166127.3.2.1672
43127.3.2.168/30127.3.2.169 to 127.3.2.170127.3.2.1712
44127.3.2.172/30127.3.2.173 to 127.3.2.174127.3.2.1752
45127.3.2.176/30127.3.2.177 to 127.3.2.178127.3.2.1792
46127.3.2.180/30127.3.2.181 to 127.3.2.182127.3.2.1832
47127.3.2.184/30127.3.2.185 to 127.3.2.186127.3.2.1872
48127.3.2.188/30127.3.2.189 to 127.3.2.190127.3.2.1912
49127.3.2.192/30127.3.2.193 to 127.3.2.194127.3.2.1952
50127.3.2.196/30127.3.2.197 to 127.3.2.198127.3.2.1992
51127.3.2.200/30127.3.2.201 to 127.3.2.202127.3.2.2032
52127.3.2.204/30127.3.2.205 to 127.3.2.206127.3.2.2072
53127.3.2.208/30127.3.2.209 to 127.3.2.210127.3.2.2112
54127.3.2.212/30127.3.2.213 to 127.3.2.214127.3.2.2152
55127.3.2.216/30127.3.2.217 to 127.3.2.218127.3.2.2192
56127.3.2.220/30127.3.2.221 to 127.3.2.222127.3.2.2232
57127.3.2.224/30127.3.2.225 to 127.3.2.226127.3.2.2272
58127.3.2.228/30127.3.2.229 to 127.3.2.230127.3.2.2312
59127.3.2.232/30127.3.2.233 to 127.3.2.234127.3.2.2352
60127.3.2.236/30127.3.2.237 to 127.3.2.238127.3.2.2392
61127.3.2.240/30127.3.2.241 to 127.3.2.242127.3.2.2432
62127.3.2.244/30127.3.2.245 to 127.3.2.246127.3.2.2472
63127.3.2.248/30127.3.2.249 to 127.3.2.250127.3.2.2512
64127.3.2.252/30127.3.2.253 to 127.3.2.254127.3.2.2552
65127.3.3.0/30127.3.3.1 to 127.3.3.2127.3.3.32
66127.3.3.4/30127.3.3.5 to 127.3.3.6127.3.3.72
67127.3.3.8/30127.3.3.9 to 127.3.3.10127.3.3.112
68127.3.3.12/30127.3.3.13 to 127.3.3.14127.3.3.152
69127.3.3.16/30127.3.3.17 to 127.3.3.18127.3.3.192
70127.3.3.20/30127.3.3.21 to 127.3.3.22127.3.3.232
71127.3.3.24/30127.3.3.25 to 127.3.3.26127.3.3.272
72127.3.3.28/30127.3.3.29 to 127.3.3.30127.3.3.312
73127.3.3.32/30127.3.3.33 to 127.3.3.34127.3.3.352
74127.3.3.36/30127.3.3.37 to 127.3.3.38127.3.3.392
75127.3.3.40/30127.3.3.41 to 127.3.3.42127.3.3.432
76127.3.3.44/30127.3.3.45 to 127.3.3.46127.3.3.472
77127.3.3.48/30127.3.3.49 to 127.3.3.50127.3.3.512
78127.3.3.52/30127.3.3.53 to 127.3.3.54127.3.3.552
79127.3.3.56/30127.3.3.57 to 127.3.3.58127.3.3.592
80127.3.3.60/30127.3.3.61 to 127.3.3.62127.3.3.632
81127.3.3.64/30127.3.3.65 to 127.3.3.66127.3.3.672
82127.3.3.68/30127.3.3.69 to 127.3.3.70127.3.3.712
83127.3.3.72/30127.3.3.73 to 127.3.3.74127.3.3.752
84127.3.3.76/30127.3.3.77 to 127.3.3.78127.3.3.792
85127.3.3.80/30127.3.3.81 to 127.3.3.82127.3.3.832
86127.3.3.84/30127.3.3.85 to 127.3.3.86127.3.3.872
87127.3.3.88/30127.3.3.89 to 127.3.3.90127.3.3.912
88127.3.3.92/30127.3.3.93 to 127.3.3.94127.3.3.952
89127.3.3.96/30127.3.3.97 to 127.3.3.98127.3.3.992
90127.3.3.100/30127.3.3.101 to 127.3.3.102127.3.3.1032
91127.3.3.104/30127.3.3.105 to 127.3.3.106127.3.3.1072
92127.3.3.108/30127.3.3.109 to 127.3.3.110127.3.3.1112
93127.3.3.112/30127.3.3.113 to 127.3.3.114127.3.3.1152
94127.3.3.116/30127.3.3.117 to 127.3.3.118127.3.3.1192
95127.3.3.120/30127.3.3.121 to 127.3.3.122127.3.3.1232
96127.3.3.124/30127.3.3.125 to 127.3.3.126127.3.3.1272
97127.3.3.128/30127.3.3.129 to 127.3.3.130127.3.3.1312
98127.3.3.132/30127.3.3.133 to 127.3.3.134127.3.3.1352
99127.3.3.136/30127.3.3.137 to 127.3.3.138127.3.3.1392
100127.3.3.140/30127.3.3.141 to 127.3.3.142127.3.3.1432
101127.3.3.144/30127.3.3.145 to 127.3.3.146127.3.3.1472
102127.3.3.148/30127.3.3.149 to 127.3.3.150127.3.3.1512
103127.3.3.152/30127.3.3.153 to 127.3.3.154127.3.3.1552
104127.3.3.156/30127.3.3.157 to 127.3.3.158127.3.3.1592
105127.3.3.160/30127.3.3.161 to 127.3.3.162127.3.3.1632
106127.3.3.164/30127.3.3.165 to 127.3.3.166127.3.3.1672
107127.3.3.168/30127.3.3.169 to 127.3.3.170127.3.3.1712
108127.3.3.172/30127.3.3.173 to 127.3.3.174127.3.3.1752
109127.3.3.176/30127.3.3.177 to 127.3.3.178127.3.3.1792
110127.3.3.180/30127.3.3.181 to 127.3.3.182127.3.3.1832
111127.3.3.184/30127.3.3.185 to 127.3.3.186127.3.3.1872
112127.3.3.188/30127.3.3.189 to 127.3.3.190127.3.3.1912
113127.3.3.192/30127.3.3.193 to 127.3.3.194127.3.3.1952
114127.3.3.196/30127.3.3.197 to 127.3.3.198127.3.3.1992
115127.3.3.200/30127.3.3.201 to 127.3.3.202127.3.3.2032
116127.3.3.204/30127.3.3.205 to 127.3.3.206127.3.3.2072
117127.3.3.208/30127.3.3.209 to 127.3.3.210127.3.3.2112
118127.3.3.212/30127.3.3.213 to 127.3.3.214127.3.3.2152
119127.3.3.216/30127.3.3.217 to 127.3.3.218127.3.3.2192
120127.3.3.220/30127.3.3.221 to 127.3.3.222127.3.3.2232
121127.3.3.224/30127.3.3.225 to 127.3.3.226127.3.3.2272
122127.3.3.228/30127.3.3.229 to 127.3.3.230127.3.3.2312
123127.3.3.232/30127.3.3.233 to 127.3.3.234127.3.3.2352
124127.3.3.236/30127.3.3.237 to 127.3.3.238127.3.3.2392
125127.3.3.240/30127.3.3.241 to 127.3.3.242127.3.3.2432
126127.3.3.244/30127.3.3.245 to 127.3.3.246127.3.3.2472
127127.3.3.248/30127.3.3.249 to 127.3.3.250127.3.3.2512
128127.3.3.252/30127.3.3.253 to 127.3.3.254127.3.3.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses